using System;
using System.Collections.Generic;
using System.Text;
using Howest.QueryBuilder.Specifications;

namespace Howest.QueryBuilder.Statements
{
	public class TableSelectQueryListItem : SelectQueryListItem
	{
		private string _tableName;

		public string TableName
		{
			get { return _tableName; }
			set { _tableName = value; }
		}

		protected override string Generate()
		{
			return _tableName + QueryConstants.PERIOD + QueryConstants.ASTERIKS;
		}
	}
}
